Subject: [B19:BUG] cd .... broken on Win95/98 [former B19 : cd in bash (95)]
From: [email-masked] (Stipe Tolj)

24 Sep 1998 16:22:05 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Jason Gloudon <[email-masked]>
Cc: [email-masked]

> With B19 on Windows 95 cd in bash does unusual things when given directory
> names consisting of 3 or more "." 's .
>
> BASH.EXE-2.01$ pwd
> /
> BASH.EXE-2.01$ cd ...
> BASH.EXE-2.01$ pwd
> /...
> BASH.EXE-2.01$ cd ....
> BASH.EXE-2.01$ pwd
> /.../....
>
> and so on

I have the same unusual output of bash using B19.2 on a Win98 box.

So I tried this on the simple sh shell and this is what happens:

$ cd /usr/local/bin
$ cd ...
$ pwd
/usr
$ cd /usr/local/lib/lynx
$ cd ....
$ pwd
/usr
$ cd /usr/local/lib/lynx
$ cd ...
/usr/local

It seems as if any additional point "." beyond the two parent-dir porints ".."
is causing another parant-step to the upper directory. Has anyone tried this
running NT?

BRAINFLASH: UPS, now I remember of something that may be important for this. I
had such a bad behaviour of cd multiple poirnts while porting the old Apache
1.2.6 to the redindian 1.2.6 server. A client was able to request the document
http://www.yourmachine.com/.... and get the root directory returned /w access
in the browser. I remember that I had to check this by hand for the cygwin32
port.

Is it possible that this is a more core mis-behaviour on Win95/98 within the
cygwinb19.dll?

Regards,
Stipe

--
Stipe Tolj <[email-masked]>
Cygwin32 Porting Project
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".